Company Profile Endpoint
Cost1 credit / successful requestGet structured data of a Company Profile.
Authorization
BearerAuth clientIn: header
Scope: client
Query Parameters
URL Company Profile to crawl.
Appends categories data of this company. Default value is "exclude". The other acceptable value is "include", which will include these categories (if available) for 1 extra credit.
Returns a list of funding rounds that this company has received. Default value is "exclude". The other acceptable value is "include", which will include these categories (if available) for 1 extra credit.
Returns a list of investment portfolio exits. Default value is "exclude". The other acceptable value is "include", which will include these categories (if available) for 1 extra credit.
Provides further enriched data on acquisitions made by this company from external sources. Default value is "exclude". The other acceptable value is "include", which will include these acquisition data (if available) for 1 extra credit.
Enriches the Company Profile with extra details from external sources. Details include Crunchbase ranking, contact email, phone number, Facebook account, Twitter account, funding rounds and amount, IPO status, investor information, etc. Default value is "exclude". The other acceptable value is "include", which will include these extra details (if available) for 1 extra credit.
if-present - Fetches profile from cache regardless of age of profile. If profile is not available in cache, API will attempt to source profile externally. if-recent (Default) - API will make a best effort to return a fresh profile no older than 29 days. Costs an extra 1 credit on top of the cost of the base endpoint.
Tweaks the fallback behavior if an error arises from fetching a fresh profile.
This parameter accepts the following values:
on-error(default value) - Fallback to reading the profile from cache if an error arises.never- Do not ever read profile from cache.
Tweak the behavior of the API to fetch the fresh profile.
This parameter accepts the following values:
force- Force the API to fetch the fresh profile. Costs an extra9credits on top of the cost of the base endpoint.default(default value) - Do not force the API to fetch the fresh profile. Consider usinguse_cacheinstead.
Response Body
application/json
curl -X GET "https://enrichlayer.com/api/v2/company?url=https%3A%2F%2Fwww.linkedin.com%2Fcompany%2Fgoogle%2F&categories=include&funding_data=include&exit_data=include&acquisitions=include&extra=include&use_cache=if-present&fallback_to_cache=on-error&live_fetch=force"{
"linkedin_internal_id": "1441",
"description": "A problem isn't truly solved until it's solved for all. Googlers build products that help create opportunities for everyone, whether down the street or across the globe. Bring your insight, imagination and a healthy disregard for the impossible. Bring everything that makes you unique. Together, we can build for everyone.\nCheck out our career opportunities at careers.google.com.",
"website": "https://goo.gle/3m1IN7m",
"industry": "Software Development",
"company_size": [
10001,
null
],
"company_size_on_linkedin": 319856,
"hq": {
"country": "US",
"city": "Mountain View",
"postal_code": "94043",
"line_1": "1600 Amphitheatre Parkway",
"is_hq": true,
"state": "CA"
},
"company_type": "PUBLIC_COMPANY",
"founded_year": null,
"specialities": [
"search",
"ads"
],
"locations": [
{
"country": "US",
"city": "Mountain View",
"postal_code": "94043",
"line_1": "1600 Amphitheatre Parkway",
"is_hq": true,
"state": "CA"
},
{
"country": "US",
"city": "New York",
"postal_code": "10011",
"line_1": "111 8th Ave",
"is_hq": false,
"state": "NY"
}
],
"name": "Google",
"tagline": null,
"universal_name_id": "google",
"profile_pic_url": "https://assets.enrichlayer.com/pp/...",
"background_cover_image_url": "https://assets.enrichlayer.com/pp/...",
"search_id": "1441",
"similar_companies": [
{
"name": "Amazon",
"link": "https://www.linkedin.com/company/amazon",
"industry": "Software Development",
"location": "Seattle, WA"
},
{
"name": "Microsoft",
"link": "https://www.linkedin.com/company/microsoft",
"industry": "Software Development",
"location": "Redmond, Washington"
}
],
"affiliated_companies": [
{
"name": "YouTube",
"link": "https://www.linkedin.com/company/youtube",
"industry": "Software Development",
"location": "San Bruno, CA"
},
{
"name": "Google Cloud",
"link": "https://www.linkedin.com/showcase/google-cloud",
"industry": "Software Development",
"location": "Mountain View, California"
}
],
"updates": [
{
"article_link": null,
"image": "https://assets.enrichlayer.com/pp/profilepic/57ef9922f8484ada3bd6001d1c68afa1",
"posted_on": {
"day": 13,
"month": 9,
"year": 2022
},
"text": "Want to kick start your #LifeAtGoogle but not sure where to begin? Explore our Build Your Future site, where you can learn about developmental programs, learn tips for future interviews, sign up for informational events, and even hear real stories from Googlers who’ve been where you are now. Get started → https://bit.ly/3SKPzQB",
"total_likes": 4267
},
{
"article_link": null,
"image": "https://assets.enrichlayer.com/pp/profilepic/57ef9922f8484ada3bd6001d1c68afa1",
"posted_on": null,
"text": "Ariana, welcome to Google. Here’s to a year full of growth, learning, and experiences at #LifeAtGoogle! 🎉",
"total_likes": 397
}
],
"follower_count": 27472792,
"meta": {
"thin_profile": false,
"last_updated": "2023-10-26T11:34:30Z"
}
}Company Profile Picture Endpoint GET
Get the profile picture of a company. Returns profile pictures from cached company profiles.
Cost0 credit / successful request
Employee Count Endpoint GET
Get the total number of employees of a company. Returns employee counts from various sources.
Cost1 credit / successful request